kkmcat
Enthusiast
Enthusiast

7.13.1 to 7.13.2 with security server

We have 1 connection server, 1 security server, and 1 composer server. We just upgraded our vSphere to v.7.03, and all our ESXi hosts as well. Now VCSA is telling me it needs a critical update, which it says is not compatible with Horizon 7.13.1, but says it is with 7.13.2.

Has anyone with same kind of (discouraged legacy) setup done this tiny point upgrade, and if so, any gotchas? I know about the powershell to get the security server paired, just wondering if there's anything else that might surprise me.

(UAG is in the cards, but it's not going to happen fast enough for a "critical" update of VCSA, hence I'm ignoring that right now.)

(For those of you wondering why we don't go to 8, it's because we have an entire image workflow developed with linked clones that we are going to hang onto for as long as we can.)

Thanks for indulging me. Kudos to all of you keeping up with your 8 versions and UAG's!

0 Kudos
5 Replies
popvm
Hot Shot
Hot Shot

From the release notes of Horizon 7.13.2, I see only the Log4j update and other two minor changes. This should be a minor upgrade and I would expect everything to work fine after upgrading from 7.13.1 to 7.13.2. That being said, please take snapshots, backups etc. and also read the section "Note Regarding Upgrade" in the release notes.

kkmcat
Enthusiast
Enthusiast

Thanks. Does anyone know if the 7.13.1 agent on the images will work well enough with 7.13.2 until I can get to recomposing all the pools with it?

0 Kudos
smut5203
Contributor
Contributor

Yes, it should be backward compatible. 

Please review/Verify compatibility

https://kb.vmware.com/s/article/78445

kkmcat
Enthusiast
Enthusiast

Where in the ADAM database can I find this? Or how do I search for it? (from 7.13.2 release notes)

Note Regarding Upgrade

If pae-ClientSSLCipherSuites or pae-ServerSSLCipherSuites have values in the Active Directory Application Mode (ADAM) database, you must reset those values and make sure they are empty (<not set>) and then reboot all the connection servers before performing the upgrade. Failure to do this will prevent you from being able to connect to the Horizon console after upgrade.

0 Kudos
kkmcat
Enthusiast
Enthusiast

The upgrade went fine. I did not run into issues with the pae-ClientSSLCipherSuites, because console is fine. I had to do the PowerCLI & Connection Server time zone "dance" 3 times before I could get it done in the right sequence for the security server to install. Thanks for all the support.